Bug 13453 - Koha.t daily quote tests assume sample data
Summary: Koha.t daily quote tests assume sample data
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: 3.16
Hardware: All All
: P5 - low minor (vote)
Assignee: M. Tompsett
QA Contact: Galen Charlton
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-12 17:20 UTC by M. Tompsett
Modified: 2016-06-21 21:36 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13453: Koha.t daily quote tests assume sample data (1.62 KB, patch)
2014-12-12 17:31 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 13453: Koha.t daily quote tests assume sample data (1.85 KB, patch)
2014-12-20 18:43 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 13453: Koha.t daily quote tests assume sample data (1.96 KB, patch)
2014-12-27 10:21 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description M. Tompsett 2014-12-12 17:20:10 UTC
This assumes that id 3 will be Abraham Lincoln. If you haven't loaded the sample data prove t/db_dependent/Koha.t failed on the daily quote tests.
Comment 1 M. Tompsett 2014-12-12 17:31:12 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2014-12-20 18:43:10 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2014-12-27 10:21:36 UTC
Created attachment 34698 [details] [review]
[PASSED QA] Bug 13453: Koha.t daily quote tests assume sample data

By adding quotes 3 and 25 from the sample data, this test can
pass without having the sample quote data loaded.

TEST PLAN
---------
1) Ensure there is no quote id=3 or that it is NOT
   Abraham Lincoln.
2) prove t/db_dependent/Koha.t
   -- this should fail the daily quote test.
3) apply patch
4) prove t/db_dependent/Koha.t
   -- this should *NOT* fail the daily quote test.
5) run koha qa test tools

Followed test plan 1)-4). Without patch, daily quote test failed. With patch, test passed OK.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Works as described, leaves actual data unchanged.
Comment 4 Tomás Cohen Arazi 2014-12-28 23:03:27 UTC
Patch pushed to master.

Thanks Mark!
Comment 5 Chris Cormack 2014-12-29 21:33:21 UTC
Pushed to 3.18.x will be in 3.18.3
Comment 6 Mason James 2015-01-16 19:28:20 UTC
Pushed to 3.16.x, patch will be in 3.16.7